Package es.imim.DISGENET.database

# Class DatabaseImpl

java.lang.Object
es.imim.DISGENET.database.DatabaseImpl

All Implemented Interfaces:
  `Database`, `Serializable`, `Remote`

public class DatabaseImpl extends Object implements Database

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DatabaseImpl()`

## Method Summary

Modifier and Type
Method
Description
`ArrayList<String>`
`genNamesToId(List<String> pieces)`
Converts a list of gene symbols to their corresponding gene IDs.
`ArrayList<String>`
`genWildCard(String geneName)`
Retrieves all the gene IDs associated to one or more given gene string name/s
`Map<String,String>`
`getAssociatedGenesToVariants(List<String> genes)`
Returns a map with the gene ID for each gene symbol of the provided list
`HashMap<String,HashMap<String,String>>`
`getDiseaseAttributes(GuiParameters curParams)`
`ArrayList<String>`
`getDiseaseList(GuiParameters curParams)`
Case in gene-dis panel
`ArrayList<String>`
`getDiseaseListVariant(GuiParameters curParams)`
Case in var-dis panel
`ArrayList<String>`
`getDiseaseNames(String diseaseName)`
`HashMap<String,ArrayList<String>>`
`getDiseaseProjectionBySrc(GuiParameters curParams)`
`ArrayList<String>`
`getDiseasesAssociatedToGenes(GuiParameters curParams)`
`HashMap<String,HashMap<String,String>>`
`getGeneAttributes(GuiParameters curParams)`
`HashMap<String,ArrayList<String>>`
`getGeneDiseaseNetworkBySrc(GuiParameters curParams)`
`String`
`getGeneId(String geneName)`
Converts a symbol of gene to their corresponding gene ID.
`ArrayList<String>`
`getGeneIdList(GuiParameters curParams)`
Case in gen-dis panel
`ArrayList<String>`
`getGeneList(GuiParameters curParams)`
Case in gene-dis panel
`ArrayList<String>`
`getGeneListVariant(GuiParameters curParams)`
Case in var-dis panel
`ArrayList<String>`
`getGeneNames(String geneName)`
`HashMap<String,ArrayList<String>>`
`getGeneProjectionBySrc(GuiParameters curParams)`
`static DatabaseImpl`
`getInstance()`
`HashMap<String,HashMap<String,String>>`
`getVariantAttributes(GuiParameters curParams)`
`HashMap<String,ArrayList<String>>`
`getVariantDiseaseNetworkBySrc(GuiParameters curParams)`
`ArrayList<String>`
`getVariantList(GuiParameters curParams)`
Case in var-dis panel
`ArrayList<String>`
`getVariantNames(String variantName)`
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DatabaseImpl

public DatabaseImpl()

## Method Details

### getInstance

public static DatabaseImpl getInstance()

### genWildCard

public ArrayList<String> genWildCard(String geneName)
Retrieves all the gene IDs associated to one or more given gene string name/s

Parameters:
  `geneName` - The gene name from a free-text-search-string
Returns:
  A list of first 100 NCBI gene IDs

### getVariantNames

public ArrayList<String> getVariantNames(String variantName)

### getDiseaseNames

public ArrayList<String> getDiseaseNames(String diseaseName)

### getGeneNames

public ArrayList<String> getGeneNames(String geneName)

### getGeneId

public String getGeneId(String geneName)
Converts a symbol of gene to their corresponding gene ID.

Specified by:
  `getGeneId` in interface `Database`
Parameters:
  `geneName` - symbol of the gene
Returns:
  the gene ID corresponding to the input gene symbol name.

### genNamesToId

public ArrayList<String> genNamesToId(List<String> pieces)
Converts a list of gene symbols to their corresponding gene IDs.

Parameters:
  `pieces` - A list of symbols of gene
Returns:
  A list of gene IDs for the input gene symbols

### getAssociatedGenesToVariants

public Map<String,String> getAssociatedGenesToVariants(List<String> genes)
Returns a map with the gene ID for each gene symbol of the provided list

Specified by:
  `getAssociatedGenesToVariants` in interface `Database`
Parameters:
  `genes` - List of gene symbols
Returns:
  a map with the gene ID for each gene symbol of the provided list

### getDiseasesAssociatedToGenes

public ArrayList<String> getDiseasesAssociatedToGenes(GuiParameters curParams)

Specified by:
  `getDiseasesAssociatedToGenes` in interface `Database`

### getGeneIdList

public ArrayList<String> getGeneIdList(GuiParameters curParams)
Case in gen-dis panel

Specified by:
  `getGeneIdList` in interface `Database`
Parameters:
  `curParams` - GuiParamaeters
Returns:
  the gene ids related to provided params.

### getGeneList

public ArrayList<String> getGeneList(GuiParameters curParams)
Case in gene-dis panel

Specified by:
  `getGeneList` in interface `Database`
Parameters:
  `curParams` - GuiParamaeters
Returns:
  the gene symbols related to provided params.

### getVariantList

public ArrayList<String> getVariantList(GuiParameters curParams)
Case in var-dis panel

Specified by:
  `getVariantList` in interface `Database`
Parameters:
  `curParams` - GuiParamaeters
Returns:
  the variant ids related to provided params.

### getDiseaseList

public ArrayList<String> getDiseaseList(GuiParameters curParams)
Case in gene-dis panel

Specified by:
  `getDiseaseList` in interface `Database`
Parameters:
  `curParams` - GuiParamaeters
Returns:
  the disease ids related to provided params.

### getDiseaseListVariant

public ArrayList<String> getDiseaseListVariant(GuiParameters curParams)
Case in var-dis panel

Specified by:
  `getDiseaseListVariant` in interface `Database`
Parameters:
  `curParams` - GuiParamaeters
Returns:
  the disease ids related to provided params.

### getGeneListVariant

public ArrayList<String> getGeneListVariant(GuiParameters curParams)
Case in var-dis panel

Specified by:
  `getGeneListVariant` in interface `Database`
Parameters:
  `curParams` - GuiParameters
Returns:
  the gene ids related to provided params.

### getGeneAttributes

public HashMap<String,HashMap<String,String>> getGeneAttributes(GuiParameters curParams)

Specified by:
  `getGeneAttributes` in interface `Database`

### getDiseaseAttributes

public HashMap<String,HashMap<String,String>> getDiseaseAttributes(GuiParameters curParams)

Specified by:
  `getDiseaseAttributes` in interface `Database`

### getVariantAttributes

public HashMap<String,HashMap<String,String>> getVariantAttributes(GuiParameters curParams)

### getGeneProjectionBySrc

public HashMap<String,ArrayList<String>> getGeneProjectionBySrc(GuiParameters curParams)

Specified by:
  `getGeneProjectionBySrc` in interface `Database`

### getDiseaseProjectionBySrc

public HashMap<String,ArrayList<String>> getDiseaseProjectionBySrc(GuiParameters curParams)

Specified by:
  `getDiseaseProjectionBySrc` in interface `Database`

### getGeneDiseaseNetworkBySrc

public HashMap<String,ArrayList<String>> getGeneDiseaseNetworkBySrc(GuiParameters curParams)

Specified by:
  `getGeneDiseaseNetworkBySrc` in interface `Database`

### getVariantDiseaseNetworkBySrc

public HashMap<String,ArrayList<String>> getVariantDiseaseNetworkBySrc(GuiParameters curParams)

Specified by:
  `getVariantDiseaseNetworkBySrc` in interface `Database`

### main

public static void main(String[] args) throws DisGeNetException

Throws:
  `DisGeNetException`